> For the complete documentation index, see [llms.txt](https://docs.clique.tech/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.clique.tech/sample-task-tutorials/social-verification.md).

# Social Verification

Clique supports different forms of social verification with end-to-end encrypted OAuth tokens.

#### List of Data Sources

* [Twitter](/sample-task-tutorials/social-verification/twitter.md)
* [Github](/sample-task-tutorials/social-verification/github.md)

### Example

The example illustrates how to pick up properties you needed. It's useful when you want to submit this to some contracts which may require a specific structure.

```toml
name = "example_twitterUserInfo"
spec-version = "1"
type = "Schema"

proof-type = ["TEE"]

[input]
username = { type = "string" }

[output]
createdDate = { type = "u64", ref = "$tasks.clique_twitterPublicInfo.createdAt" }
followerCount = { type = "u64", ref = "$tasks.clique_twitterPublicInfo.followerCount"}
updatedAt = { type = "u64", ref = "$tasks.clique_twitterPublicInfo.timestamp" }

[[tasks]]
name = "clique_twitterPublicInfo"
proof-preference = "TEE"
[[tasks.input]]
username = { ref = "$input.address" }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.clique.tech/sample-task-tutorials/social-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
